How to Install The Latest AMD Radeon Drivers on Ubuntu 18.04 Bionic Beaver Linux - LinuxConfig.org


#1

Since Ubuntu 18.04 is a LTS release it will be officially supported by AMD with the AMDGPU-PRO drivers. These drivers are only available directly from AMD and are geared more towards professional applications. You don't need these drivers for gaming. Actually, the "gaming" part is almost identical to the open source driver.


This is a companion discussion topic for the original entry at https://linuxconfig.org/how-to-install-the-latest-amd-radeon-drivers-on-ubuntu-18-04-bionic-beaver-linux

#2

BlueOctopusBoy

I tried installing AMDGPU-PRO-17.50-511655 (the latest available at the time of writing) on Bionic 18.04 Daily build, Kernel Ubuntu 4.15.0-12.13-generic 4.15.7 and it could not build the dkms packages, the installation completed however upon reboot, I was stuck in a login loop with no access to the Ctrl + Alt + F1-9 console, so I removed the driver through Recovery console, I will wait for AMD to release the 18.04 official drivers when the LTS is released :slight_smile:


#3

MH Rajib -> BlueOctopusBoy

same here. stuck on boot loop. I’m a newbie so I don’t even know how to revert it back to stock. any help ??


#4

Pratabidya Mahapatra -> MH Rajib

go to recovery mode console and add this command-
amdgpu-pro-uninstall


#5

Caio Torquato -> BlueOctopusBoy

http://www.amdsurveys.com/se/5A1E27D23A3DE966 Lets send them a feedback


#6

Caio Torquato -> BlueOctopusBoy

Same here … I don’t recommend it to beginners , i had to fix it by hand
Tho this is an issue with AMD i would say… if you look new softwares like discord are easily able to be installed


#7

ukbeast -> Caio Torquato

Were you able to install AMDGPU-Pro or just revert back to stock?


#8

Caio Torquato -> ukbeast

you need to remove and purge amdgpu-pro and revert it to stock

with apt-get … Btw changing Xorg config files is not recommended

as i said a beginner would never fix it

f*ck amd


#9

Thiago Martins -> BlueOctopusBoy

I got the same results but, I didn’t used “sudo add-apt-repository ppa:oibaf/graphics-drivers”, did you tried it as well?


#10

pablojet

how to know if the installation is a success? i run all commands without errors , and cant see any change to display , im on voyager os 18.04 alpha …


#11

Drivers Problems Guy

I’m in an old All-In-One PC (from 2012) using Ubuntu 18.04, mi latest drivers in amd website are supported for Ubuntu 12.04.2 neither my Xorg version is supported… What should i do? Processor with Graphics: AMD E1 Vision APU w/Radeon HD-7310 Graphics


#12

sudo add-apt-repository ppa:oibaf/graphics-drivers sudo apt update sudo apt upgrade

After I have use this code, I restart my pc but it show some message, ““started GNOME display manager. Dispatcher service… system changes.pp link was shut down””. I have wait 1 hours and restart start using power button but same message show . Now what I do? System conf. Ubuntu 18.04 Graphics amd radeon r5. I am unable to do any thing, please help.


#14

Same Problem Here. Solved by Purging the PPA

use
Got any vt by

CTL+ALT+F1-F9

Login, Then

sudo apt install ppa-purge
ppa-purge ppa:oibaf/graphics-drivers
sudo ppa-purge ppa:oibaf/graphics-drivers
sudo apt autoremove
sudo apt update
sudo apt upgrade
sudo reboot

Mine Was Radeon R5 M430. What was yours


#15

Same R5 M430, i think there is no solution, and last i restore my previous version.


#16

Hello everyone, I have problem with unstable now

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libwayland-egl1-mesa : Conflicts: libwayland-egl1
E: Broken packages

How do I fix?

I am using Ubuntu 18.04 and latest installer of amdgpu


#17

Beware incompatibility of amdgpu/pro driver with OpenCL. Here I submitted an issue earlier (I saw there were some similar reports before)
https://community.amd.com/message/2882326


#18

i newly installed the ubuntu 18.04 but i cannot install the driver of my GPU which is Radeon 6570. do we have the same problem?


#19

does this mean that i already download my gpu driver? the radeon 6570
im worried about this.


#20

Here is my experience

Installed successfully after rebooting the screen would flicker or tear. So I followed the steps to fix the tearing but that did not work.

In the end I have to uninstall the pro drivers.